Ubuntu

linux: 2.6.38-11.48 -proposed tracker

Reported by Herton R. Krzesinski on 2011-07-29
28
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Chris Halse Rogers
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.38-11.48 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start: Tuesday, 29. July 2011 17:41 UTC
kernel-stable-copy-to-proposed-end:Tuesday, 16. August 2011 12:38 UTC
kernel-stable-qa-end:Tuesday, 16. August 2011 12:38 UTC
kernel-stable-security-signoff-end:Tuesday, 16. August 2011 12:38 UTC
kernel-stable-verification-end:Tuesday, 16. August 2011 12:38 UTC
kernel-stable-copy-to-updates-start:Thursday, 18. August 2011 21:00 UTC
kernel-stable-certification-end:Thursday, 18. August 2011 21:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 19. August 2011 06:00 UTC
kernel-stable-copy-to-updates-end:Friday, 19. August 2011 06:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 18. August 2011 21:00 UTC
kernel-stable-Promote-to-updates-end:Friday, 19. August 2011 06:00 UTC
kernel-stable-Verification-testing-end:Tuesday, 16. August 2011 12:38 UTC
kernel-stable-Security-signoff-end:Tuesday, 16. August 2011 12:38 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 16. August 2011 12:38 UTC
kernel-stable-Certification-testing-end:Thursday, 18. August 2011 21:00 UTC
kernel-stable-Regression-testing-end:Tuesday, 16. August 2011 12:38 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Marc Deslauriers (mdeslaur) wrote :

FYI, I may have been experiencing a regression with 2.6.38-11.47. See bug #814325.
I'll try and reproduce once 2.6.38-11.48 becomes available.

Changed in linux (Ubuntu Natty):
importance: Undecided → High
status: New → In Progress
importance: High → Medium
Changed in linux (Ubuntu):
status: In Progress → Invalid
Herton R. Krzesinski (herton) wrote :

This natty release (2.6.38-11.48) is a respin from 11.47 kernel with one commit reverted because of regression found in bug 814250. As was a clean revert and the solution tested, was marked as verified.

All previous 2.6.38-11.47 bugs are already verified.

Thus verification is done for this release.

Bug 814325 is a potential regression, we may respin natty again if that is confirmed.

Hardware certification have started testing.

Steve Conklin (sconklin) wrote :

(08:10:59 AM) hggdh: sconklin: bug 824520 during QA for 2.6.38-11.48, generic-pae. Did not reoccur, so I am not marking as failure. Nevertheless you folks should have a look

Steve Conklin (sconklin) wrote :

I've reviewed the failure. I'd like to understand what caused it, but it's not reproducible. I think we'll have to let this one go. I'm ok with giving a PASS to this.

Kees Cook (kees) wrote :

This looks good, thanks.

C de-Avillez (hggdh2) wrote :

Given Steve's comment above, and given no other findings, I am tagging this bug qa-testing-passed.

tags: added: qa-testing-passed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated

Completed testing on 72/103 systems. Coverage is not perfect, but since this kernel is being waited on and nothing in our testing shows any evidence of any potential regressions, I'll mark this as certification-testing-passed

http://people.canonical.com/~hwcert/sru-testing/wk31_2011/natty-proposed.html

tags: added: certification-testing-passed
description: updated
Steve Conklin (sconklin) wrote :

After review, the problem observed in comment #1 has been determined to be a corner case bug affecting a very limited number of platforms. The bug actually exists in the current Oneiric and upstream kernels, and Intel if working to provide a fix quickly. We'll go ahead and release this version, and hope that the fix makes the next update.

Launchpad Janitor (janitor) wrote :
Download full text (13.4 KiB)

This bug was fixed in the package linux - 2.6.38-11.48

---------------
linux (2.6.38-11.48) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #818175

  [ Upstream Kernel Changes ]

  * Revert "HID: magicmouse: ignore 'ivalid report id' while switching
    modes"
    - LP: #814250

linux (2.6.38-11.47) natty-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #811180

  [ Keng-Yu Lin ]

  * SAUCE: Revert: "dell-laptop: Toggle the unsupported hardware
    killswitch"
    - LP: #775281

  [ Ming Lei ]

  * SAUCE: fix yama_ptracer_del lockdep warning
    - LP: #791019

  [ Stefan Bader ]

  * SAUCE: Re-enable RODATA for i386 virtual
    - LP: #809838

  [ Tim Gardner ]

  * [Config] Add grub-efi as a recommended bootloader for server and
    generic
    - LP: #800910
  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494

  [ Upstream Kernel Changes ]

  * Revert "bridge: Forward reserved group addresses if !STP"
    - LP: #793702
  * Fix up ABI directory
  * bonding: Incorrect TX queue offset, CVE-2011-1581
    - LP: #792312
    - CVE-2011-1581
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * usbnet/cdc_ncm: add missing .reset_resume hook
    - LP: #793892
  * ath5k: Disable fast channel switching by default
    - LP: #767192
  * mm: vmscan: correctly check if reclaimer should schedule during
    shrink_slab
    - LP: #755066
  * mm: vmscan: correct use of pgdat_balanced in sleeping_prematurely
    - LP: #755066
  * ALSA: hda - Use LPIB for ATI/AMD chipsets as default
    - LP: #741825
  * ALSA: hda - Enable snoop bit for AMD controllers
    - LP: #741825
  * ALSA: hda - Enable sync_write workaround for AMD generically
    - LP: #741825
  * cpuidle: menu: fixed wrapping timers at 4.294 seconds
    - LP: #774947
  * drm/i915: Fix gen6 (SNB) missed BLT ring interrupts.
    - LP: #761065
  * USB: ehci: remove structure packing from ehci_def
    - LP: #791552
  * drm/i915: disable PCH ports if needed when disabling a CRTC
    - LP: #791752
  * kmemleak: Do not return a pointer to an object that kmemleak did not
    get
    - LP: #793702
  * kmemleak: Initialise kmemleak after debug_objects_mem_init()
    - LP: #793702
  * Fix _OSC UUID in pcc-cpufreq
    - LP: #793702
  * CPU hotplug, re-create sysfs directory and symlinks
    - LP: #793702
  * Fix memory leak in cpufreq_stat
    - LP: #793702
  * net: recvmmsg: Strip MSG_WAITFORONE when calling recvmsg
    - LP: #793702
  * ftrace: Only update the function code on write to filter files
    - LP: #793702
  * qla2xxx: Fix hang during driver unload when vport is active.
    - LP: #793702
  * qla2xxx: Fix virtual port failing to login after chip reset.
    - LP: #793702
  * qla2xxx: Fix vport delete hang when logins are outstanding.
    - LP: #793702
  * powerpc/kdump64: Don't reference freed memory as pacas
    - LP: #793702
  * powerpc/kexec: Fix memory corruption from unallocated slaves
    - LP: #793702
  * x86, cpufeature: Fix cpuid leaf 7 feature detection
    - LP: #793702
  * ath9k_hw: do noise floor calibration only on required chain...

Changed in linux (Ubuntu Natty):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Copied linux, lbm, meta to -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Eugene San (eugenesan) wrote :

At least one regression (#826399), left unsolved.

ngsupb (ngsupb) wrote :

Hi guys,

I was wondering if it is possible to apply patch to fix this issue:
https://bugzilla.kernel.org/show_bug.cgi?id=36962

If it wasn't fixed yet.

Sometimes with nouveau on 11.04 hangs without any reason.
The errors in the kernel log file led me to that bug.

Thank you.

Steve Conklin (sconklin) wrote :

This is a tracking bug. Once the package has released, no one ever looks at these. If you have a bug or regression, open another bug against the latest Ubuntu kernel having the problem.

Steve Conklin (sconklin) on 2011-08-30
description: updated
Brad Figg (brad-figg) on 2011-12-05
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.